---
title: "Says whether a path is free for a page or redirect."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › site

`GET /v1/stores/{store}/paths/check`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `site:read`

## Path parameters

- `store` (`checkPath.path.store`; string, required) — The store's id.

## Query parameters

- `kind` (`checkPath.query.kind`; string, required)
  - one of `"product"`, `"page"`, `"redirect"`
- `value` (`checkPath.query.value`; string, required)
  - minLength 0; maxLength 4096
- `except` (`checkPath.query.except`; string, optional)
  - minLength 1; maxLength 200

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/paths/check?kind=product&value=string' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/paths/check?kind=product&value=string';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/paths/check?kind=product&value=string"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Says whether a path is free for a page or redirect.

#### Example

```json
{
  "available": true,
  "reason": "string",
  "current": "string"
}
```

- `available` (`checkPath.response.200.available`; boolean, required)
- `reason` (`checkPath.response.200.reason`; any of, required)
  - any of: `string`, `null`
- `current` (`checkPath.response.200.current`; any of, required)
  - any of: `string`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`checkPath.response.default.type`; string, required)
  - format `uri`
- `title` (`checkPath.response.default.title`; string, required)
- `status` (`checkPath.response.default.status`; integer, required)
- `detail` (`checkPath.response.default.detail`; string, required)
- `code` (`checkPath.response.default.code`; string, optional)
- `context` (`checkPath.response.default.context`; object, optional)
- `reached_core` (`checkPath.response.default.reached_core`; boolean, optional)
- `core_answer` (`checkPath.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/check-path/index.md
